> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post historycommandsprint csv



## OpenAPI

````yaml /api-reference/oda-history-service-1.0.0.yml post /history/commands/print-csv
openapi: 3.0.1
info:
  title: oda-history-service
  version: 1.0.0
servers: []
security: []
paths:
  /history/commands/print-csv:
    post:
      operationId: printCsv
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrintCsv.PrintCsvCommand'
        required: true
      responses:
        '200':
          description: Successfully ordered the print
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrintCsv.PrintCsvResponse'
components:
  schemas:
    PrintCsv.PrintCsvCommand:
      type: object
      properties:
        systems:
          type: array
          nullable: true
          items:
            type: string
        events:
          type: array
          nullable: true
          items:
            type: string
        after:
          type: string
          format: date-time
          nullable: true
        before:
          type: string
          format: date-time
          nullable: true
    PrintCsv.PrintCsvResponse:
      required:
        - printId
      type: object
      properties:
        printId:
          type: string

````